Vagrant.configure("2") do |config|
  config.vm.box = "captainquirk/shef"
  config.vm.box_version = "1.0.0"

  config.vm.synced_folder "./", "/home/vagrant/recipes/rofi-recipe", create: true, id: 'rofi-recipe-folder', automount: true, mount_options: ['uid=1000', "gid=1000"]

  config.ssh.insert_key = false
  config.ssh.password = 'vagrant'

  config.vm.provider "virtualbox" do |vb|
    vb.name = "rofi-recipe"
    #vb.gui = true
  end

  config.vm.provision "shell", path: "provision.sh", privileged: false

  config.vbguest.auto_update = false
end
